nom: iparapheur
type: signature
description: "Connecteur pour le iparapheur de Libriciel"
formulaire:
    page0:
        iparapheur_wsdl:
            name: 'URL du WSDL'
        iparapheur_login:
            name: 'Login HTTP'
        iparapheur_password:
            name: 'Mot de passe HTTP'
            type: password
        iparapheur_type:
            name: 'Type iparapheur'
            type: externalData
            choice-action: iparapheur-type
            link_name: 'Sélectionner un type'
        iparapheur_nb_jour_max:
            name: 'Nombre de jours maximum dans le parapheur'
            commentaire: "Nombre de jours avant de déclencher une erreur s'il n'y a pas de réponse du parapheur\n(Peut ne pas être implémenté par les différents flux)."
            default: 30
        iparapheur_visibilite:
            name: 'Visibilité pour le iparapheur'
            type: select
            value:
                CONFIDENTIEL: CONFIDENTIEL
                SERVICE: GROUPE
                PUBLIC: PUBLIC
        visuel_pdf_default:
            name: 'Visuel PDF par défaut'
            type: file
            commentaire: "Utilisé dans le cadre de l'envoi de flux PES"
        XPathPourSignatureXML:
            name: 'Position des signatures PES'
            commentaire: "Permet de préciser au iparapheur l'emplacement des signatures pour les PES"
            type: select
            value:
                1: 'Bordereau si possible ou PES_Aller sinon (defaut)'
                2: Bordereau
                3: PES_Aller
                4: 'Pièce jointe'
        iparapheur_metadata:
            name: 'Métadonnées à envoyer au iparapheur'
            commentaire: "De la forme : nom_element_pastell_1:nom_metadonne_parapheur_1, nom_element_pastell_2:nom_metadonne_parapheur_2, ..\nAttention, il faut que le flux le supporte !"
        iparapheur_multi_doc:
            name: 'Appliquer le multi-document'
            type: checkbox
            commentaire: 'Si le sous-type iparapheur le permet (Signature multi-document), alors les fichiers multiples envoyés seront des multi-documents signés'
action:
    test-iparapheur:
        name: 'Tester la connexion'
        action-class: IParapheurTest
    test-iparapheur-send:
        name: 'Créer un document test'
        action-class: IParapheurTestSend
    display-sous-type:
        name: 'Voir les sous-types'
        action-class: DisplaySousType
    iparapheur-type:
        name: 'Liste des types iparapheur'
        rule:
            internal-action: true
        action-class: IparapheurType
    iparapheur-empty-cache:
        name: 'Vider le cache WSDL'
        action-class: IParapheurEmptyWSDLCache
